# std::_Vector_base< _Tp, _Alloc >::_Vector_impl Struct Reference

List of all members.

## Detailed Description

### template<typename _Tp, typename _Alloc>
struct std::_Vector_base< _Tp, _Alloc >::_Vector_impl

Definition at line 77 of file stl_vector.h.

## Public Member Functions

- _Vector_impl (_Tp_alloc_type const &__a)
- _Vector_impl ()

## Public Attributes

- _Tp * _M_end_of_storage
- _Tp * _M_finish
- _Tp * _M_start

The documentation for this struct was generated from the following file:

- stl_vector.h